-- Warning! Warning! Potential Application Breakage!
--
--   ORDER BY has always been the only way
--      to guarantee output sequence
--   Some developers have been "sloppy" and
--      assumed that since some statements
--      seemed to be solved via sort that
--      an additional sort was not needed...
--
--   Oracle 10g DOES NOT always return rows
--      in the same way earlier releases did
--
--   The two simple statements below would have
--      shown sorted output in earlier releases
--      without an ORDER BY you might get surprised!
pause
select distinct ename from emp;
select deptno,count(*) from emp group by deptno;
