--
select country,corr(sale,cnt)
from sales_view
group by country;
--
select avg(sal) avg
      ,median(sal) median
      ,deptno
   from many_emps
   group by deptno;
--
drop table myemp;
drop table myemplog;
create table myemp
(
  EMPNO                  NUMBER(4) not null
 ,ENAME                  VARCHAR2(10)
 ,JOB                    VARCHAR2(9)
 ,MGR                    NUMBER(4)
 ,HIREDATE               DATE
 ,SAL                    NUMBER(7,2)
 ,COMM                   NUMBER(5,2)
 ,DEPTNO                 NUMBER(2)
);
EXECUTE DBMS_ERRLOG.CREATE_ERROR_LOG('myemp', 'myemplog');
INSERT into MYEMP
 select * from emp
    log errors
       into myemplog ('ODTUG rocks!')
       REJECT LIMIT UNLIMITED;
select * from emp;
select * from myemp;
select * from myemplog;
--
@login
connect scott
connect john
--
drop table myjunktable;
create table myjunktable
as select * from emp;
select count(*) from myjunktable;
drop table myjunktable;
select count(*) from myjunktable;
show recyclebin;
flashback table myjunktable to before drop;
select count(*) from myjunktable;
drop table myjunktable purge;
purge recyclebin;
--
select prod_id
     , substr(prod_name,1,20) prod_name
     , substr(prod_desc,1,30) prod_desc
   from sh.products
   where prod_name like ('E%')
      or prod_name like ('P%')
   order by prod_id;
select prod_id
     , substr(prod_name,1,20) prod_name
     , substr(prod_desc,1,30) prod_desc
   from sh.products
   where regexp_like (prod_name,'^E|^P')
   order by prod_id;
--
select max(year) from sales_view;
SELECT SUBSTR(country,1,20) country, SUBSTR(prod,1,15) prod, year, sales
 FROM sales_view
 MODEL RETURN UPDATED ROWS
  PARTITION BY (country)
  DIMENSION BY (prod, year)
  MEASURES (sale sales)
  RULES (
   sales['Mouse Pad', 2002] = sales['Mouse Pad', 2001] +
        sales['Mouse Pad', 2000])
 ORDER BY country, prod, year;
SELECT SUBSTR(country,1,20) country, SUBSTR(prod,1,15) prod, year, sales
 FROM sales_view
 where prod = 'Mouse Pad'
 MODEL RETURN ALL ROWS
  PARTITION BY (country)
  DIMENSION BY (prod, year)
  MEASURES (sale sales)
  RULES (
   sales['Mouse Pad', 2002] = sales['Mouse Pad', 2001] +
        sales['Mouse Pad', 2000])
 ORDER BY country, prod, year;
 --
 commit;
 update bonus set sal = 1000 where ename = 'ALLEN';
 update emp set sal = 4000 where ename = 'JONES';
 select e.ename,e.sal,b.ename,b.sal
  from emp e join bonus b
    on e.ename = b.ename;
 merge
     into bonus
     using emp
     on ( bonus.ename = emp.ename )
     when matched
     then  update -- only one update match allowed!
            set bonus.sal = emp.sal,
                bonus.comm = emp.comm
           delete
            where bonus.sal > 3999
     when not matched
         then insert
            (ename,job,sal,comm)
           values
            (emp.ename,emp.job,emp.sal,emp.comm);
 select e.ename,e.sal,b.ename,b.sal
  from emp e join bonus b
    on e.ename = b.ename;
rollback;
--
select count(*) nbr_rows
  from sh.sales;
select count(*) * 10 nbr_rows
  from sh.sales sample(10);
select count(*) * 10 nbr_rows
  from sh.sales sample(10);
select count(*) * 10 nbr_rows
  from sh.sales sample(10) seed(1);
select count(*) * 10 nbr_rows
  from sh.sales sample(10) seed(1);