with summary as
(select dname
      ,sum(sal) saltot
      ,round(avg(sal),2) avgsal
      ,count(distinct empno) nbremps
   from emp join dept
        using (deptno)
   group by dname)
select dname,nbremps,avgsal 
from summary
/
